.oc.install_python_debian_ubuntu_template:
  extends:
    - .default_settings_template
    - .needs__trigger
  stage: doc
  rules:
    - if: '$CI_PIPELINE_SOURCE == "schedule" && $TZ_SCHEDULE_KIND == "EXTENDED_TESTS"'
      when: always
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
      changes:
        - docs/developer/install-python-debian-ubuntu.sh
      when: on_success
    # Run when there is label on the merge request
    - if: '$CI_MERGE_REQUEST_LABELS =~ /(?:^|[,])ci--docs(?:$|[,])/'
      when: on_success
    - when: manual
      allow_failure: true
  script:
    - ./docs/developer/install-python-debian-ubuntu.sh ${CI_MERGE_REQUEST_SOURCE_PROJECT_PATH:-tezos/tezos} ${CI_MERGE_REQUEST_SOURCE_BRANCH_NAME:-master}

oc.install_python_focal:
  image: public.ecr.aws/lts/ubuntu:20.04_stable
  extends: .oc.install_python_debian_ubuntu_template

oc.install_python_jammy:
  image: public.ecr.aws/lts/ubuntu:22.04_stable
  extends: .oc.install_python_debian_ubuntu_template

oc.install_python_bullseye:
  image: debian:bullseye
  extends: .oc.install_python_debian_ubuntu_template
